<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8" />
    <title>Chat using Deno</title>
</head>

<body>
    <button id="connectButton" name="connectButton" class="buttonleft">
        Connect
    </button>
    <button id="disconnectButton" name="disconnectButton" class="buttonright" disabled>
        Disconnect
    </button>
    <div class="messagebox">
        <label for="message">Enter a message:
            <input type="text" name="message" id="message" placeholder="Message text" inputmode="latin" size=60
                maxlength=120 disabled>
        </label>
        <button id="sendButton" name="sendButton" class="buttonright" disabled>
            Send
        </button>
    </div>
    <div class="messagebox" id="receivebox">
        <p>Messages received:</p>
    </div>
    <script src="/compiled/localConn.ts.js" type="module"></script>
</body>

</html>